# nvidia-xconfig: X configuration file generated by nvidia-xconfig
# nvidia-xconfig:  version 1.0  (buildmeister@builder3)  Fri Jan 11 15:05:59 PST 2008

# Auto-generated by Archie mkxcfg
# Auto-generated by Archie mkxcfg

Section "ServerLayout"

# PS/2 Mouse not detected
# Serial Mouse not detected
    Identifier     "Xorg Configured"
    Screen      0  "Screen0" 0 0
    InputDevice    "Keyboard0" "CoreKeyboard"
    InputDevice    "USB Mouse" "CorePointer"
EndSection

Section "Files"

# Additional fonts: Locale, Gimp, TTF...
#	FontPath     "/usr/share/lib/X11/fonts/latin2/75dpi"
#	FontPath     "/usr/share/lib/X11/fonts/latin2/100dpi"
# True type and type1 fonts are also handled via xftlib, see /etc/X11/XftConfig!
    RgbPath         "/usr/share/X11/rgb"
    ModulePath      "/usr/lib/xorg/modules"
    FontPath        "/usr/share/fonts/misc:unscaled"
    FontPath        "/usr/share/fonts/misc"
    FontPath        "/usr/share/fonts/75dpi:unscaled"
    FontPath        "/usr/share/fonts/75dpi"
    FontPath        "/usr/share/fonts/100dpi:unscaled"
    FontPath        "/usr/share/fonts/100dpi"
    FontPath        "/usr/share/fonts/PEX"
    FontPath        "/usr/share/fonts/cyrillic"
    FontPath        "/usr/share/fonts/Type1"
    FontPath        "/usr/share/fonts/ttf/western"
    FontPath        "/usr/share/fonts/ttf/decoratives"
    FontPath        "/usr/share/fonts/truetype"
    FontPath        "/usr/share/fonts/truetype/openoffice"
    FontPath        "/usr/share/fonts/truetype/ttf-bitstream-vera"
    FontPath        "/usr/share/fonts/latex-ttf-fonts"
    FontPath        "/usr/share/fonts/defoma/CID"
    FontPath        "/usr/share/fonts/defoma/TrueType"
EndSection

Section "Module"
    Load           "ddc"  # ddc probing of monitor
    Load           "dbe"
    Load           "extmod"
    Load           "glx"
    Load           "bitmap" # bitmap-fonts
    Load           "type1"
    Load           "freetype"
    Load           "record"
	#   Load  "synaptics"
EndSection

Section "ServerFlags"
    Option         "AllowMouseOpenFail" "true"
EndSection

Section "InputDevice"
    Identifier     "Keyboard0"
    Driver         "keyboard"
    Option         "CoreKeyboard"
    Option         "XkbRules" "xorg"
    Option         "XkbModel" "pc105"
    Option         "XkbLayout" "sk-qwertz"
    Option         "XkbVariant" ""
EndSection

Section "InputDevice"
    Identifier     "Serial Mouse"
    Driver         "mouse"
    Option         "Protocol" "Microsoft"
    Option         "Device" "/dev/ttyS0"
    Option         "Emulate3Buttons" "true"
    Option         "Emulate3Timeout" "70"
    Option         "SendCoreEvents" "true"
EndSection

Section "InputDevice"
    Identifier     "PS/2 Mouse"
    Driver         "mouse"
    Option         "Protocol" "auto"
    Option         "ZAxisMapping" "4 5"
    Option         "Device" "/dev/psaux"
    Option         "Emulate3Buttons" "true"
    Option         "Emulate3Timeout" "70"
    Option         "SendCoreEvents" "true"
EndSection

Section "InputDevice"
    Identifier     "USB Mouse"
    Driver         "mouse"
    Option         "Device" "/dev/input/mice"
    Option         "SendCoreEvents" "true"
    Option         "Protocol" "IMPS/2"
    Option         "ZAxisMapping" "4 5"
    Option         "Buttons" "5"
EndSection

Section "Monitor"

 # Warning: This may fry old Monitors
 # Very conservative. May flicker.
#	VertRefresh  50.0 - 62.0 # Extreme conservative. Will flicker. TFT default.
	#  Default modes distilled from
	#      "VESA and Industry Standards and Guide for Computer Display Monitor
	#       Timing", version 1.0, revision 0.8, adopted September 17, 1998.
	#  $XFree86: xc/programs/Xserver/hw/xfree86/etc/vesamodes,v 1.4 1999/11/18 16:52:17 tsi Exp $
	# 640x350 @ 85Hz (VESA) hsync: 37.9kHz
    Identifier     "Monitor0"
    HorizSync       28.0 - 96.7
    VertRefresh     50.0 - 85.0

    Option         "DPMS" "true"
#	HorizSync    28.0 - 78.0 # Warning: This may fry very old Monitors
EndSection

Section "Device"
    Identifier     "Card0"
    Driver         "nvidia"
    VendorName     "All"
    BoardName      "All"
EndSection

Section "Screen"
    Identifier     "Screen0"
    Device         "Card0"
    Monitor        "Monitor0"
    DefaultDepth    24
    SubSection     "Display"
        Depth       1
        Modes      "1280x800" "1024x768" "800x600" "640x480"
    EndSubSection
    SubSection     "Display"
        Depth       4
        Modes      "1280x800" "1024x768" "800x600" "640x480"
    EndSubSection
    SubSection     "Display"
        Depth       8
        Modes      "1280x800" "1024x768" "800x600" "640x480"
    EndSubSection
    SubSection     "Display"
        Depth       15
        Modes      "1280x800" "1024x768" "800x600" "640x480"
    EndSubSection
    SubSection     "Display"
        Depth       16
        Modes      "1280x800" "1024x768" "800x600" "640x480"
    EndSubSection
    SubSection     "Display"
        Depth       24
        Modes      "1280x800" "1024x768" "800x600" "640x480"
    EndSubSection
    SubSection     "Display"
        Depth       32
        Modes      "1280x800" "1024x768" "800x600" "640x480"
    EndSubSection
EndSection

